
module Core::Game
  
  class MapParticle
    attr_accessor :follow, :xoff, :yoff
    def initialize(x, y, effect)
      @emitter = Core::Particles.new(effect, x, y)
    end
    
    def x=(x)
      @emitter.x = x
    end
    
    def y=(y)
      @emitter.y = y
    end
    
    def update
      @emitter.update
    end
    
    def draw(x, y)
      @emitter.draw(x, y)
    end
  end
  
end
