
require "rubygems"
require_relative "core.rb"
require_relative "game_window.rb"

# :main:EH

begin
  g = Core::GameWindow.new
  g.show
  Core.exit(0)
rescue Interrupt
  warn("Interrupted!")
  Core.exit(1)
rescue => ex
  puts("#{ex.class}: #{ex}\n#{ex.backtrace.join("\n").gsub("#{Core::LIBRARY_PATH}/", "")}")
  Core.exit(1)
end
