
module Core::Game
  module Events

    class Event
      attr_reader :object
      def initialize(obj)
        @object = obj
      end
    end

    class MotionEvent < Event
      attr_reader :old_pos
      def initialize(npc, old_pos)
        super(npc)
        @old_pos = old_pos
      end
    end

    class TriggerEvent < Event
      attr_reader :other
      def initialize(activator, other)
        super(activator)
        @other = other
      end
    end

  end
end
