
module Core::Game
  module OSD
  
    class Magic < Core::GUI::Window
      def initialize(x, y, caster=Core::Game.party.player, target=nil)
        if x + 640 > 1024
          x = 386
        elsif x < 0
          x = 0
        end
        if y + 480 > 768
          y = 264
        elsif y < 0
          y = 0
        end
        super(x, y, 640, 480, Core::Trans.menu(:magic), true, "osd/magic_bg", true)
        @caster, @target = caster, target
        add(:char, Core::GUI::CharSelector.new(16, 16, @state.party))
      end
    end
  
  end  
end
